#include <iostream>

using namespace std;

int main()
{
    int n,i,j,k,l,o;
    int a[100000];
    cin >>n;
    cin >>k;
    for (i=0;i<n;i++)
    {
    cin >>a[i];
    }
    i=0;
    for (i=0;i<n;i++)
    {
        if (a[i]==k)
        {
            if (i==n-1)
            {
                i=-1;
            }
            cout << a[i+1];
            break;
            
        }
        
    }
}